Excel Sheet Format:
Column A is reserverd for config rules
Column B-E are AWS Best practices
Columns G+ are OU names

1. Create virtual env
    - virtualenv -p /usr/bin/python3 venv
    - source venv/bin/activate
2. install pip requirements
    - pip3 install -r requirements.txt
3. This script has the following paramters:
    --ou (required) - the name of the organization unit from the excel document to generate rules for.
    --config-rule-option (not required, default="Implemented") - The option from the excel document in which to choose the rules.
    --excel-file (not required, default="excel_config_rules.xlsx") - The path to the excel document.
    --param-file (not required, default="config_rules_params.json") - The path to the parameter file
    --max-execution-frequency (not required, default="TwentyFour_Hours) choices=["One_Hour", "Three_Hours", "Six_Hours", "Twelve_Hours", "TwentyFour_Hours"]) - How often the Config Rule will be evaluated
```./aws_config_rules.py --ou OU_NAME --config-rule-option Implemented```

4. By Default, the parameters will not be set, if a config rule requires a paramter, add a paramter json file and pass it with the --param-file option.
 Example:
        {
            "access-keys-rotated": {
                "InputParameters": {
                    "maxAccessKeyAge": 90
                }
            }
        }
In this case, the access-keys-rotated rule that is generated will be:
  rAccessKeysRotated:
    Properties:
      ConfigRuleName: access-keys-rotated
      InputParameters:
        maxAccessKeyAge: 90
      MaximumExecutionFrequency: TwentyFour_Hours
      Source:
        Owner: AWS
        SourceIdentifier: ACCESS_KEYS_ROTATED
    Type: AWS::Config::ConfigRule

5. By Default, the Scope of the config rules is derived from AWS standards - s3.amazonaws.com/aws-configservice-us-east-1/cloudformation-templates-for-managed-rules/THE_RULE_IDENTIFIER.template will be queried and the Scope will be found from the existing template. If a config rule requires a different Scope, add it to the parameter json file.
Example:
    {
    "ec2-volume-inuse-check": {
        "Scope": {
            "ComplianceResourceTypes": [
                "AWS::EC2::Volume"    
                ]
            }
        }
    }
In this case, the ec2-volume-inuse-check rule that is generated will be:
  rEc2VolumeInuseCheck:
    Properties:
      ConfigRuleName: ec2-volume-inuse-check
      InputParameters: {}
      Scope:
        ComplianceResourceTypes:
          - AWS::EC2::Volume
      Source:
        Owner: AWS
        SourceIdentifier: EC2_VOLUME_INUSE_CHECK
    Type: AWS::Config::ConfigRule